
#frontPage{
    width: 100%;
    min-height: 100vh;
    height: 100%;
    display: flex;
    align-items: center;
    background: url(../imgs/desktopView.png) no-repeat;
    background-size: cover;
    background-position: center;
}
.mainText{
    margin-top: 10%;
    margin-left: 10%;
    font-size: 30px;
    max-width: 750px;
}

.mainText p{
    font-size: 35px;
}
.mainText h1{
    margin-top: 20px;
    font-size: 50px;
}

.varyingLang{
    font-size: 20px;
    font-weight: 400;
}

.varyingLang h2{
    display: inline-flex;
    margin: 0;
    vertical-align: top;
}

.varyingLang h2 .wort{
    display: flex;
    color: #fcb71d;
    position: absolute;
    opacity: 0;
}

.varyingLang h2 .wort .letter{
    transform-origin: center center 10px;
}


.varyingLang h2 .wort .letter.in{
    transition: 0.01s ease;
}

.varyingLang h2 .wort .letter.out{
    transform: rotateX(90deg);
    transition: 0.2s cubic-bezier(0.6, 0.04, 0.98, 0.335);
}

.varyingLang h2 .wort .letter.onway{
    transform: rotateX(-90deg);
}

.contactInfo{
    padding: 3% 3% 3% 3%;
    display: flex;
    flex-direction: column;
}

.btns {
    text-align: center;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

.smBtns{
    display: flex;
    width: 200px;
    height: 40px;
    justify-content: space-between;
}

.smBtns a{
    display: inline-flex;
    width: 50px;
    height: 100%;
    justify-content: center;
    align-items: center;
    border-radius: 40px;
    transition: 0.5s;
    color: #fff;
    position: relative;
    overflow: hidden;
    z-index: 1;
}

.smBtns a i{
    font-size: 2rem;
}

.smBtns a:hover{
    color: #fff;
}

.btn {
    display: inline-block;
    padding: 10px 20px;
    font-size: 16px;
    text-decoration: none;
    color: #fff;
    background-color: #e8ba58;
    border-radius: 5px;
    transition: background-color 0.3s ease;
    margin-right: 15px;
    border-radius: 5px;
    z-index: 1;
    position: relative;
}

.smBtns a::before,
.btn::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    background-color: #000000;
    width: 0;
    height: 100%;
    z-index: -1;
    transition: 0.5s;
}


.smBtns a::before{
    background-color: #e8ba58;
}

.smBtns a:hover::before,
.btn:hover::before{
    width: 100%;
}

.btn:hover {
    color: #0056b3;
}

/*  ------ responsive ------- */

@media only screen and (max-width : 600px){
    #frontPage{
        background-image: url(../imgs/MobileViewfront.png);
    }
    .mainText{
        margin: 15% 10% 0 4%;
        font-size: 14px;
    }

    .mainText h1{
        font-size: 28px;
    }

    .btns {
        margin-right: auto;
        gap: 1rem;
    }
    .mainText p {
        font-size: 38px;
    }
    
    .smBtns{
        display: flex;
        width: 120px;
        height: 20px;
        justify-content: space-between;
    }
}
